import Link from "next/link";

import { Rocket } from "lucide-react";

import { cn } from "@/lib/utils";

import { buttonVariants } from "@/components/ui/button";
import Section from "@/components/section";

export default function CtaSection() {
  return (
    <Section
      id="cta"
      title="Ready to experience the future of autonomous AI?"
      subtitle="Join us and try our agentic AI into your operations."
      className="bg-primary/10 dark:bg-primary/70 rounded-xl py-16"
    >
      <div className="flex flex-col w-full sm:flex-row items-center justify-center space-y-4 sm:space-y-0 sm:space-x-4 pt-4">
        <Link
          href={`${process.env.NEXT_PUBLIC_DASHBOARD_URL}/login`}
          className={cn(
            buttonVariants({ variant: "default" }),
            "w-full sm:w-auto text-background flex gap-2"
          )}
        >
          <Rocket className="h-6 w-6" />
          Get started
        </Link>
      </div>
    </Section>
  );
}
